Subject: EGLOT pyright bug
From: Johann De Waal <[email-masked]>
To: [email-masked]
Date: Fri, 23 Aug 2024 18:44:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Good day, I hope you are well.

I've got a bug to report for eglot.

To reproduce is quite simple, I run eglot in a python buffer and it
immediately exits with message 'exited abnormally with code 1'.

Some notes.
1. Running pyright in the command line works as expected.
2. Pyright was installed using "npm install -g pyright".
   node -v = v20.16.0
   pyright --version = 1.1.377

I've also attached some the logs from the eglot buffer.

Thank you for your time and your work on eglot. Please let me know if
I can improve my bug report in any way.

Kind regards.